MYTHTV-STATUS(1)

NAME
mythtv-status - Display the status of a MythTV backend

SYNOPSIS
 mythtv-status [options]

DESCRIPTION
This script queries a MythTV backend and reports on the status of it, any upcoming recordings and any which are happening right now.

The intention is to warn you if there is a program being recorded or about to be recorded.

OPTIONS

-c, --colour
    Use colour when showing the status of the encoder(s).

--date
    Set the date to run as, used for debugging purposes.

-d, --description
    Display the description for the scheduled recordings.

--disk-space-warn
    The threshold (in percent) of used disk space that we should show the disk space in red (if using colour) or send an email if we're in email mode with email only on warnings.

--encoder-details
    Display the input ID and channel name against the recording details.

--encoder-skip-idle
    Suppress displaying idle encoders in the Encoders block.

--encoder-warn-non-idle
    Display warnings if an encoder is not idle. This is the default, it allows you to know if an encoder or the MythTV system is busy. To disable, use --no-encoder-warn-non-idle.

-e, --episode
    Display the episode (subtitle) for the scheduled recordings.

--email <address>[ --email <address> ...]
    Send the output to the listed email addresses. By default the encoder status, currently recording shows and time till next recording is suppressed from the email.

    To turn the additional blocks on you can use --encoders, --recording-now and/or --next-recording.

    By default highlight is turned on, to disable it use --nohighlight.

--email-only-on-alert
    Only send an email out (if --email is present) if there is an alert (i.e., schedule conflict or low disk space).

-?, --help
    Display help.

--file <file>
    Load XML from the file specified instead of querying a MythTV backend. Handy for debugging things.

--save-file <file>
    Save the XML we received from the MythTV backend. Handy for debugging things.

--guide-days-warn <days>
    Warn if the number of days of guide data present is equal to or below this level. Default is 2 days.

-h HOST, --host=HOST
    The host to check, defaults to localhost.

--highlight
    Surround any items that are considered a warning with asterisks. This helps to highlight an issue if colour mode is disabled.

--nostatus, --noencoders, --norecording-now, --noscheduled-recordings, --noschedule-conflicts, --nonext-recording, --nototal-disk-space, --nodisk-space, --noguide-data, --noauto-expire
    Suppress displaying blocks of the output if they would normally be displayed.

-p PORT, --port=PORT
    The port to use when connecting to MythTV, defaults to 6544.

--oneliner-bullets
    Insert asterisks (*) before each of the oneliners to stop some email clients from thinking the oneliner block is a paragraph and trying to word wrap them.

--auto-expire
    Display the shows due to auto expire (output is normally suppressed).

--auto-expire-count
    How many of the auto expire shows to display, defaults to 10.

--recording-in-warn
    If the "Next Recording In" time is less than this amount, display it in red. This in seconds, and defaults to 3600 (1 hour).

--verbose
    Have slightly more verbose output. This includes any warnings that might be generated while parsing the XML.

-v, --version
    Show the version of mythtv-status and then exit.

OUTPUT
The output of this script is broken up into several chunks they are:

Status
    Some general info about the backend, currently just the timestamp of when this program was run.

Guide Data
    The number of days of guide data is present. By default it is only shown if the number of days is below the warning level. To show it regardless of the warning level use --guide-data.

Encoders
    Each encoder that the backend knows about are listed, with the hostname they are on, the encoder ID (in brackets) and the current status.

Recording Now
    Any programs which are being recorded right now.

Scheduled Recordings
    Up to 10 programs which are scheduled to be recorded today and tomorrow.

Schedule Conflicts
    Any upcoming schedule conflicts (not just limited to today or tomorrow).

Shows due to Auto Expire
    The shows which will be deleted and the order they'll be deleted if the auto expirer kicks in.

Total Disk Space
    The amount of disk space in total, and used by MythTV.

Next Recording In
    If there are no recordings currently happening, then the amount of time until the next recording is displayed.

Disk Space
    Details about each storage group that MythTV knows about. By default this only shows storage groups that are above the warning level. Use --disk-space to turn on display of all storage groups.

RETURN CODES
mythtv-status provides some return codes.

0   Standard return code

1   A warning is generated

AUTHOR
Andrew Ruthven, andrew@etc.gen.nz

LICENSE
Copyright (c) 2007-2025 Andrew Ruthven <andrew@etc.gen.nz> This code is hereby licensed for public consumption under the GNU GPL v3.